# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Summary:       A set of scripts to work locally on subversion checkouts using mercurial
Name:          hgsvn
Version:       0.1.9
Release:       alt1_4
License:       GPLv3+
Group:         Development/Tools
URL:           http://pypi.python.org/pypi/hgsvn/
Source0:       http://pypi.python.org/packages/source/h/%{name}/%{name}-%{version}.tar.gz
Patch0:        hgsvn-0.1.9-disable-ez.patch
Patch1:        hgsvn-0.1.9-subversion-1.7.patch
BuildArch:     noarch
Requires:      mercurial >= 1.4.3
Requires:      subversion
# Needed in %%check
BuildRequires: python-devel
BuildRequires: mercurial >= 1.4.3
BuildRequires: python-module-nose
BuildRequires: subversion
BuildRequires: python-module-distribute
Source44: import.info

%description
This set of scripts allows to work locally on subversion managed
projects using the mercurial distributed version control system.

Why use mercurial? You can do local (disconnected) work, pull the
latest changes from the subversion server, manage private branches,
submit patches to project maintainers, etc. And of course you have
fast local operations like hg log and hg annotate.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test || :

%files
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt
%{_bindir}/hgimportsvn
%{_bindir}/hgpullsvn
%{_bindir}/hgpushsvn
%{python_sitelibdir_noarch}/%{name}
%{python_sitelibdir_noarch}/%{name}-%{version}-py%{pyver}.egg-info

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.9-alt1_4
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.9-alt1_2
- initial fc import

